%global dlrn_nvr ansible-role-openstack-operations-0.0.1.dev45-1.20210527225329.274739e
%global dlrn 1
%define upstream_version 0.0.1.dev45
%{!?upstream_version: %global upstream_version %{commit}}
%global commit d1be4d977d0ea4489820f094b7238ee2eb6f65f8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible_role_openstack_operations
%global rolename ansible-role-openstack-operations

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.0.1
Release: 1.20210527225329.274739e%{?dist}
Summary:        Ansible role to perform OpenStack Day 2 Operations

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/openstack/ansible-role-openstack-operations
Source0: ansible-role-openstack-operations-0.0.1.dev45-1.20210527225329.274739e.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=274739ee5b0ff702f67af59ec2ff42b78c495bce

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires:       ansible
%else
Requires:       python3dist(ansible) >= 2
%endif
Requires:       ansible-pacemaker

%description

Ansible role to perform OpenStack Day 2 Operations

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-1.20210527225329.274739e
- Update patches

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-1.20210507141331.274739e
- Update patches




